package com.zcloud.service.bus;

import com.zcloud.entity.PageData;

/**
 * 说明：隐患各流程发送站内信
 * 作者：yagnming
 * 时间：2022-07-19
 * 官网：www.zcloudchina.com
 */
public interface HiddenMailService {

    /**隐患提交时给确认人发送站内信
     * @param pd
     * @throws Exception
     */
    public void hiddneConfirm(PageData pd)throws Exception;

    /**隐患验收通过后给发现人、确认人、整改人发站内信
     * @param pd
     * @throws Exception
     */
    public void hiddneCheckAdopt(PageData pd)throws Exception;


    /**手机端隐患验收通过后给发现人、确认人、整改人发站内信
     * @param pd
     * @throws Exception
     */
    public void apphiddneCheckAdopt(PageData pd)throws Exception;

    /**特殊处置审核通过后给发现人、确认人、整改人发站内信；不通过给整改人发
     * @param pd
     * @throws Exception
     */
    void hiddneSpecial(PageData pd)throws Exception;

    /**手机端特殊处置审核通过后给发现人、确认人、整改人发站内信；不通过给整改人发
     * @param pd
     * @throws Exception
     */
    void apphiddneSpecial(PageData pd)throws Exception;

    /**特殊处置审核不通过后整改人发站内信
     * @param pd
     * @throws Exception
     */
    void hiddneFail(PageData pd)throws Exception;

    /**手机端特殊处置审核不通过后整改人发站内信
     * @param pd
     * @throws Exception
     */
    void apphiddneFail(PageData pd)throws Exception;

    /**手机端确认打回发站内信
     * @param pd
     * @throws Exception
     */
    void reject(PageData pd)throws Exception;
}
